Bug 972680 (CVE-2013-4075)

Summary: CVE-2013-4075 wireshark: DoS (crash) in the GMR-1 BCCH dissector (wnpa-sec-2013-33)
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: huzaifas, jrusnack, mzember, phatina, rvokal, sisharma
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---Flags: sisharma: needinfo? (phatina)
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130607,reported=20130609,source=cve,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,rhel-5/wireshark=notaffected,rhel-6/wireshark=affected,fedora-17/wireshark=notaffected,fedora-18/wireshark=affected
Fixed In Version: wireshark-1.8.8 Doc Type: Bug Fix
Doc Text:
A flaw was found in GMR (Geo-Mobile Radio) 1 BCCH protocol dissector of wireshark which an attacker can trigger a denial of service attack and crash wireshark by sending a specially crafted packet onto the wire or by convincing wireshark user to read malformed packet trace file.
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-07-08 23:42:20 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 972762, 979246, 1245886, 1245887    
Bug Blocks: 972772    

Description Jan Lieskovsky 2013-06-10 08:02:52 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2013-4075 to the following vulnerability:

epan/dissectors/packet-gmr1_bcch.c in the GMR-1 BCCH dissector in Wireshark 1.8.x before 1.8.8 does not properly initialize memory, which allows remote attackers to cause a denial of service (application crash) via a crafted packet.

References:
[1] http://anonsvn.wireshark.org/viewvc/trunk/epan/dissectors/packet-gmr1_bcch.c?r1=44674&r2=44673&pathrev=44674
[2] http://anonsvn.wireshark.org/viewvc?view=revision&revision=44674
[3] http://www.wireshark.org/docs/relnotes/wireshark-1.8.8.html
[4] http://www.wireshark.org/security/wnpa-sec-2013-33.html
[5] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=7664
[6] https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=8726
Comment 1 Jan Lieskovsky 2013-06-10 09:29:41 EDT
This issue did NOT affect the version of the wireshark package, as shipped with Fedora release of 17.

--

This issue affects the version of the wireshark package, as shipped with Fedora release of 18.
Comment 2 Jan Lieskovsky 2013-06-10 10:32:36 EDT
Created wireshark tracking bugs for this issue

Affects: fedora-18 [bug 972762]
Comment 3 Huzaifa S. Sidhpurwala 2013-06-11 00:36:32 EDT
The version of wireshark shipped with Red Hat Enterprise Linux 5 and 6 does not have support for GEO-Mobile Radio (1) BCCH protocol. Therefore this flaw does not affect these versions.
Comment 5 Vincent Danen 2013-06-14 14:26:12 EDT
External References:

http://www.wireshark.org/security/wnpa-sec-2013-33.html
Comment 6 Fedora Update System 2013-09-27 20:12:48 EDT
wireshark-1.10.2-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-10-02 21:03:47 EDT
wireshark-1.10.2-7.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-12-19 02:10:20 EST
wireshark-1.10.2-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Martin ┼Żember 2015-03-27 11:10:41 EDT
I hope it is appropriate to re-open the bug due to the reproducer in the private comment #9.
Comment 11 Vincent Danen 2015-07-08 23:42:20 EDT
Statement:

Red Hat Product Security has rated this issue as having Low security impact for Red Hat Enterprise Linux 6.  It does not affect the version of wireshark shipped with Red Hat Enterprise Linux 5.  This issue is not currently planned to be addressed in future updates. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.
Comment 17 errata-xmlrpc 2017-03-21 05:53:38 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0631 https://rhn.redhat.com/errata/RHSA-2017-0631.html